biurad/cycle-bridge

Well-integrated Cycle ORM for Nette and Biurad Framework.

v0.1.0 2020-12-02 17:49 UTC

This package is auto-updated.

Last update: 2021-09-15 08:42:09 UTC


README

Latest Version Software License Workflow Status Code Maintainability Coverage Status Quality Score Sponsor development of this project

biurad/cycle-bridge is a Well-integrated Cycle ORM for PHP 7.2+ Nette and Biurad Framework created by Divine Niiquaye. This library allows Cycle ORM and Spiral Database to be used with Biurad Dependency Injection.

📦 Installation & Basic Usage

This project requires PHP 7.2 or higher. The recommended way to install, is via Composer. Simply run:

$ composer require biurad/cycle-bridge

📓 Documentation

For in-depth documentation before using this library. Full documentation on advanced usage, configuration, and customization can be found at cycle-orm.dev.

⏫ Upgrading

Information on how to upgrade to newer versions of this library can be found in the UPGRADE.

🏷️ Changelog

SemVer is followed closely. Minor and patch releases should not introduce breaking changes to the codebase; See CHANGELOG for more information on what has changed recently.

Any classes or methods marked @internal are not intended for use outside of this library and are subject to breaking changes at any time, so please avoid using them.

🛠️ Maintenance & Support

When a new major version is released (1.0, 2.0, etc), the previous one (0.19.x) will receive bug fixes for at least 3 months and security updates for 6 months after that new release comes out.

(This policy may change in the future and exceptions may be made on a case-by-case basis.)

Professional support, including notification of new releases and security updates, is available at Biurad Commits.

👷‍♀️ Contributing

To report a security vulnerability, please use the Biurad Security. We will coordinate the fix and eventually commit the solution in this project.

Contributions to this library are welcome, especially ones that:

  • Improve usability or flexibility without compromising our ability to adhere to ???.
  • Optimize performance
  • Fix issues with adhering to ???.
  • ???.

Please see CONTRIBUTING for additional details.

🧪 Testing

$ composer test

This will tests biurad/cycle-bridge will run against PHP 7.2 version or higher.

👥 Credits & Acknowledgements

🙌 Sponsors

Are you interested in sponsoring development of this project? Reach out and support us on Patreon or see https://biurad.com/sponsor for a list of ways to contribute.

📄 License

biurad/cycle-bridge is licensed under the BSD-3 license. See the LICENSE file for more details.

🏛️ Governance

This project is primarily maintained by Divine Niiquaye Ibok. Members of the Biurad Lap Leadership Team may occasionally assist with some of these duties.

🗺️ Who Uses It?

You're free to use this package, but if it makes it to your production environment we highly appreciate you sending us an email or message mentioning this library. We publish all received request's at https://patreons.biurad.com.

Check out the other cool things people are doing with biurad/cycle-bridge: https://packagist.org/packages/biurad/cycle-bridge/dependents